Package com.google.protobuf

# Class DescriptorProtos.FieldOptions.FeatureSupport

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.DescriptorProtos.FieldOptions.FeatureSupport

All Implemented Interfaces:
  `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `DescriptorProtos.FieldOptions`

public static final class DescriptorProtos.FieldOptions.FeatureSupport extends GeneratedMessage implements DescriptorProtos.FieldOptions.FeatureSupportOrBuilder
Protobuf type `google.protobuf.FieldOptions.FeatureSupport`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.FieldOptions.FeatureSupport.Builder`
Protobuf type `google.protobuf.FieldOptions.FeatureSupport`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEPRECATION_WARNING_FIELD_NUMBER`
`static final int`
`EDITION_DEPRECATED_FIELD_NUMBER`
`static final int`
`EDITION_INTRODUCED_FIELD_NUMBER`
`static final int`
`EDITION_REMOVED_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static DescriptorProtos.FieldOptions.FeatureSupport`
`getDefaultInstance()`
`DescriptorProtos.FieldOptions.FeatureSupport`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`String`
`getDeprecationWarning()`
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`
`ByteString`
`getDeprecationWarningBytes()`
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`DescriptorProtos.Edition`
`getEditionDeprecated()`
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`
`DescriptorProtos.Edition`
`getEditionIntroduced()`
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`
`DescriptorProtos.Edition`
`getEditionRemoved()`
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`
`Parser<DescriptorProtos.FieldOptions.FeatureSupport>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`boolean`
`hasDeprecationWarning()`
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`
`boolean`
`hasEditionDeprecated()`
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`
`boolean`
`hasEditionIntroduced()`
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`
`boolean`
`hasEditionRemoved()`
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.FieldOptions.FeatureSupport.Builder`
`newBuilder()`
`static DescriptorProtos.FieldOptions.FeatureSupport.Builder`
`newBuilder(DescriptorProtos.FieldOptions.FeatureSupport prototype)`
`DescriptorProtos.FieldOptions.FeatureSupport.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.FieldOptions.FeatureSupport.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(byte[] data)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(ByteString data)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(CodedInputStream input)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(InputStream input)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(ByteBuffer data)`
`static DescriptorProtos.FieldOptions.FeatureSupport`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<DescriptorProtos.FieldOptions.FeatureSupport>`
`parser()`
`DescriptorProtos.FieldOptions.FeatureSupport.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### EDITION_INTRODUCED_FIELD_NUMBER

public static final int EDITION_INTRODUCED_FIELD_NUMBER

See Also:
  - Constant Field Values

### EDITION_DEPRECATED_FIELD_NUMBER

public static final int EDITION_DEPRECATED_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEPRECATION_WARNING_FIELD_NUMBER

public static final int DEPRECATION_WARNING_FIELD_NUMBER

See Also:
  - Constant Field Values

### EDITION_REMOVED_FIELD_NUMBER

public static final int EDITION_REMOVED_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasEditionIntroduced

public boolean hasEditionIntroduced()
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`

Specified by:
  `hasEditionIntroduced` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  Whether the editionIntroduced field is set.

### getEditionIntroduced

public DescriptorProtos.Edition getEditionIntroduced()
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`

Specified by:
  `getEditionIntroduced` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  The editionIntroduced.

### hasEditionDeprecated

public boolean hasEditionDeprecated()
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`

Specified by:
  `hasEditionDeprecated` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  Whether the editionDeprecated field is set.

### getEditionDeprecated

public DescriptorProtos.Edition getEditionDeprecated()
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`

Specified by:
  `getEditionDeprecated` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  The editionDeprecated.

### hasDeprecationWarning

public boolean hasDeprecationWarning()
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`

Specified by:
  `hasDeprecationWarning` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  Whether the deprecationWarning field is set.

### getDeprecationWarning

public String getDeprecationWarning()
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`

Specified by:
  `getDeprecationWarning` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  The deprecationWarning.

### getDeprecationWarningBytes

public ByteString getDeprecationWarningBytes()
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`

Specified by:
  `getDeprecationWarningBytes` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  The bytes for deprecationWarning.

### hasEditionRemoved

public boolean hasEditionRemoved()
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`

Specified by:
  `hasEditionRemoved` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  Whether the editionRemoved field is set.

### getEditionRemoved

public DescriptorProtos.Edition getEditionRemoved()
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`

Specified by:
  `getEditionRemoved` in interface `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
Returns:
  The editionRemoved.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FieldOptions.FeatureSupport parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DescriptorProtos.FieldOptions.FeatureSupport.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static DescriptorProtos.FieldOptions.FeatureSupport.Builder newBuilder()

### newBuilder

public static DescriptorProtos.FieldOptions.FeatureSupport.Builder newBuilder(DescriptorProtos.FieldOptions.FeatureSupport prototype)

### toBuilder

public DescriptorProtos.FieldOptions.FeatureSupport.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected DescriptorProtos.FieldOptions.FeatureSupport.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static DescriptorProtos.FieldOptions.FeatureSupport getDefaultInstance()

### parser

public static Parser<DescriptorProtos.FieldOptions.FeatureSupport> parser()

### getParserForType

public Parser<DescriptorProtos.FieldOptions.FeatureSupport> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public DescriptorProtos.FieldOptions.FeatureSupport getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`